<!DOCTYPE html>
<html lang="en">
<head>
    <title>Gas Web Application</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="stylesheet" href="${request.contextPath}/bootstrap-3.4.1/bootstrap.min.css"/>

    <script src="${request.contextPath}/jquery-3.7.1/jquery.min.js"></script>
    <script src="${request.contextPath}/bootstrap-3.4.1/bootstrap.min.js"></script>

    <script src="${request.contextPath}/echarts/echarts.min.js"></script>

    <script src="${request.contextPath}/index/main.js"></script>

    <style>
        .container {
            width: 85%;
        }

        .charts {
            height: 350px;
        }
    </style>
</head>
<body>

<div class="container">
    <div class="row">
        <h2>Gas监控</h2>
    </div>
    <br/><br/><br/>
    <div class="row">
        <div class="col-xs-6 col-md-4">
            <div id="main1" class="charts"></div>
        </div>
        <div class="col-xs-6 col-md-4">
            <div id="main2" class="charts"></div>
        </div>
        <div class="col-xs-6 col-md-4">
            <div id="main3" class="charts"></div>
        </div>
    </div>
    <div class="row">
        <div class="col-xs-9 col-md-6">
            <div id="main4" class="charts"></div>
        </div>
        <div class="col-xs-9 col-md-6">
            <div id="main5" class="charts"></div>
        </div>
    </div>
</div>
</body>
<script>

    // 基于准备好的dom，初始化echarts实例
    var myChart1 = echarts.init(document.getElementById('main1'));
    var myChart2 = echarts.init(document.getElementById('main2'));
    var myChart3 = echarts.init(document.getElementById('main3'));
    var myChart4 = echarts.init(document.getElementById('main4'));
    var myChart5 = echarts.init(document.getElementById('main5'));

    // 指定图表的配置项和数据
    var option = {
        title: {
            text: 'COMPLE'
        },
        tooltip: {},
        xAxis: {
            type: 'category',
            data: ['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun']
        },
        yAxis: {
            type: 'value'
        },
        series: [
            {
                data: [820, 932, 901, 934, 1290, 1330, 1320],
                type: 'line',
                smooth: true
            }
        ]
    };

    // 使用刚指定的配置项和数据显示图表。
    myChart1.setOption(option);
    myChart2.setOption(option);
    myChart3.setOption(option);
    myChart4.setOption(option);
    myChart5.setOption(option);

    window.addEventListener('resize', function () {
        console.log(myChart);
        myChart1.resize();
        myChart2.resize();
        myChart3.resize();
        myChart4.resize();
        myChart5.resize();
    });

    $(function () {
        // buildTable($table, [])
    })
</script>
</html>

